#Module-Specific definitions
%define mod_version 3.1.3
%define release 1mdk
%define mod_name mod_python
%define mod_conf 16_%{mod_name}.conf
%define mod_so %{mod_name}.so

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

#TODO split doc from main package
#

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk

Summary:	An embedded Python interpreter for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
# wget http://mir2.ovh.net/ftp.apache.org/dist/httpd/modpython/mod_python-3.1.3.tgz
Source0:	%{mod_name}-%{mod_version}.tgz
Source1:	%{mod_name}-%{mod_version}.tgz.asc
Source2:	%{mod_conf}.bz2
Patch1:		mod_python-3.0.3-version.patch.bz2
Patch3:		mod_python-3.1.2b-mutex_dir.diff.bz2
License:	Apache License
URL:		http://www.modpython.org/
BuildPrereq:	python
BuildPrereq:	python-devel
BuildPrereq:	flex
Provides:	mod_python
Obsoletes:	mod_python
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Mod_python is a module that embeds the Python language interpreter within
the %{ap_name} server, allowing Apache handlers to be written in Python.

Mod_python brings together the versatility of Python and the power of
the Apache Web server for a considerable boost in flexibility and
performance over the traditional CGI approach.

%prep

%setup -q -n %{mod_name}-%{mod_version}
%patch1 -p0
%patch3 -p0

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build
%{__aclocal}
%{__autoconf}

%configure --with-apxs=%{apxs}
make OPT="`%{apxs} -q CFLAGS` -fPIC -DEAPI"

#%{__make} dso

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

export EXCLUDE_FROM_STRIP=%{buildroot}%{ap_extralibs}/%{mod_so}

# we only want to provide png files...
pushd doc-html
    for i in `find -name "*.gif"`; do
	rm -f $i
    done

    find -type f -name "*.html" | xargs perl -p -i -e "s|\.gif|\.png|g"
popd

make DESTDIR=%{buildroot} install

# move the module in place
install -d %{buildroot}%{ap_extralibs}
mv %{buildroot}%{ap_libexecdir}/%{mod_so} %{buildroot}%{ap_extralibs}

%ADVXinstconf %{SOURCE2} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

# fix location for mutex files
install -d %{buildroot}%{ap_proxycachedir}/mod_python

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc doc-html/* CREDITS NEWS README examples test
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*
%{_libdir}/python*/site-packages/mod_python/
%attr(0755,apache,apache) %dir %{ap_proxycachedir}/mod_python

%changelog
* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_3.1.3-1mdk
- built for apache 2.0.50
- remove redundant provides

* Fri Jun 11 2004 Michael Scherer <misc@mandrake.org> 2.0.49_3.1.3-1mdk
- rebuild for new apache
 
* Mon Mar 01 2004 Michael Scherer <misc@mandrake.org> 2.0.48_3.1.3-1mdk 
- 3.1.3
- added a psp config example
- [DIRM]

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_3.1.2b-1mdk
- built for apache 2.0.48

* Sun Nov 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_3.1.2b-1mdk
- 3.1.2b
- drop P2 & P4
- fix cache dir

* Tue Sep 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_3.1.0a-2mdk
- added P4 (may fix #5629)

* Sat Aug 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_3.1.0a-1mdk
- 3.1.0a
- added P2 + buildrequires flex
- added P3 + mutex dir + fixed S2
- new license
- misc spec file fixes

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_3.0.3-4mdk
- rebuild against new python

* Fri Jul 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_3.0.3-3mdk
- found the problem at last..., the %{mod_so} file won't work stripped...

* Thu Jul 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_3.0.3-2mdk
- don't install the compiled stuff in python lib (it's messed up)

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_3.0.3-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Mon Jul 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_3.0.3-2mdk
- fix #4140 (P0)

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_3.0.3-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_3.0.3-1mdk
- cosmetic rebuild for apache v2.0.45 

* Sun Apr 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_3.0.3-1mdk
- 3.0.3
- added the pgp sig file
- fix P0
- misc spec file fixes

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_3.0.1-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.1-4mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.1-3mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.1-2mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Wed Nov 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.1-1mdk
- new major version
- drop all patches, add P0 (a simple DESTDIR patch)

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.0-3mdk
- rebuilt for/against apache2 where dependencies has changed in apr

* Tue Oct 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.0-2mdk
- extra modules needs to be loaded _before_ mod_ssl, mod_php and mod_perl
  in order to show up in the server string...

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.0-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)
- sanitize rpm package versioning

* Thu Sep 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_3.0.0-4mdk
- rebuilt against new apache v2.0.42

* Wed Sep  3 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_3.0.0-3mdk
- Obsoletes mod_python

* Wed Sep  3 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_3.0.0-2mdk
- Comply with ADVX policy at http://advx.org/devel/policy.php

* Sun Sep  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.0.0-1mdk
- initial cooker contrib, ripped from RH, adapted for ML

